| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jcmainct.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_main_controller

## Macros
#define | JPEG_INTERNALS

## Typedefs
typedef my_main_controller * | my_main_ptr

## Functions
| METHODDEF (void)
| process_data_simple_main (j_compress_ptr cinfo, JSAMPARRAY input_buf, JDIMENSION *in_row_ctr, JDIMENSION in_rows_avail)
| jinit_c_main_controller (j_compress_ptr cinfo, boolean need_full_buffer)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 13 of file jcmainct.c.

## Typedef Documentation

typedef my_main_controller* my_main_ptr

Definition at line 50 of file jcmainct.c.

## Function Documentation

jinit_c_main_controller | ( | j_compress_ptr | cinfo,
|  | boolean | need_full_buffer
| ) |  |

Definition at line 245 of file jcmainct.c.

METHODDEF | ( | void |  | ) |

Definition at line 54 of file jcmainct.c.

process_data_simple_main | ( | j_compress_ptr | cinfo,
|  | JSAMPARRAY | input_buf,
|  | JDIMENSION * | in_row_ctr,
|  | JDIMENSION | in_rows_avail
| ) |  |

Definition at line 113 of file jcmainct.c.